Re: [ID 20011223.001] accept leaks memory
authorAndy Dougherty <doughera@lafayette.edu>
Thu, 10 Jan 2002 10:13:07 +0000 (05:13 -0500)
committerJarkko Hietaniemi <jhi@iki.fi>
Thu, 10 Jan 2002 14:54:38 +0000 (14:54 +0000)
Message-ID: <Pine.SOL.4.10.10201100919390.4429-100000@maxwell.phys.lafayette.edu>

p4raw-id: //depot/perl@14164

hints/linux.sh

index fd38198..971e491 100644 (file)
@@ -6,11 +6,11 @@
 # Additional info from Nigel Head <nhead@ESOC.bitnet>
 # and Kenneth Albanowski <kjahds@kjahds.com>
 #
-# Consolidated by Andy Dougherty <doughera@lafcol.lafayette.edu>
+# Consolidated by Andy Dougherty <doughera@lafayette.edu>
 #
 # Updated Thu Feb  8 11:56:10 EST 1996
 
-# Updated Thu May 30 10:50:22 EDT 1996 by <doughera@lafcol.lafayette.edu>
+# Updated Thu May 30 10:50:22 EDT 1996 by <doughera@lafayette.edu>
 
 # Updated Fri Jun 21 11:07:54 EDT 1996
 # NDBM support for ELF renabled by <kjahds@kjahds.com>
@@ -39,35 +39,6 @@ d_suidsafe='undef'
 # do the implicit mapping.
 ignore_versioned_solibs='y'
 
-# perl goes into the /usr tree.  See the Filesystem Standard
-# available via anonymous FTP at tsx-11.mit.edu in
-# /pub/linux/docs/linux-standards/fsstnd.
-# Allow a command line override, e.g. Configure -Dprefix=/foo/bar
-#
-#  Addendum for 5.005_57 and beyond:
-#
-# However, most Linux users probably already have a /usr/bin/perl.
-# We can't know whether the current user is intending to *replace*
-# that /usr/bin/perl or whether the user is intending to install
-# a *different* installation.
-#
-# Here is what we used to do:
-# Allow a command line override, e.g. Configure -Dprefix=/foo/bar
-# case "$prefix" in
-# '') prefix='/usr' ;;
-# esac
-#
-# For now, let's assume that most Linux users get their /usr/bin/perl
-# from some packaging system, so that those compiling from source are
-# probably the more experimental folks and hence probably aren't
-# intending to replace /usr/bin/perl (at least just yet).
-# This change makes linux consistent with most other unix platforms
-# in having a default of prefix=/usr/local.
-# These notes can probably safely be removed in 5.005_50 and beyond.
-#
-#      9 April 1999  Andy Dougherty  <doughera@lafayette.edu>
-#
-
 # BSD compatability library no longer needed
 # 'kaffe' has a /usr/lib/libnet.so which is not at all relevent for perl.
 set `echo X "$libswanted "| sed -e 's/ bsd / /' -e 's/ net / /'`
@@ -77,8 +48,6 @@ libswanted="$*"
 # If you have glibc, then report the version for ./myconfig bug reporting.
 # (Configure doesn't need to know the specific version since it just uses
 # gcc to load the library for all tests.)
-# Is this sufficiently robust for libc5 systems as well as
-# glibc-2.1.x systems?
 # We don't use __GLIBC__ and  __GLIBC_MINOR__ because they 
 # are insufficiently precise to distinguish things like
 # libc-2.0.6 and libc-2.0.7.
@@ -91,7 +60,9 @@ fi
 # function in <sys/stat.h>.
 d_lstat=define
 
-# Explanation?
+# The system malloc() is about as fast and as frugal as perl's. 
+# Since the system malloc() has been the default since at least
+# 5.001, we might as well leave it that way.  --AD  10 Jan 2002
 case "$usemymalloc" in
 '') usemymalloc='n' ;;
 esac
@@ -138,10 +109,6 @@ You appear to have ELF support.  I'll try to use it for dynamic loading.
 If dynamic loading doesn't work, read hints/linux.sh for further information.
 EOM
 
-#For RedHat Linux 3.0.3, you may need to fetch
-# ftp://ftp.redhat.com/pub/redhat-3.0.3/i386/updates/RPMS/ld.so-1.7.14-3.i386.rpm
-#
-
 else
     cat <<'EOM' >&4